// GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.SCIM.Connection.GetGroups(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/scim/connection"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &connection.GetGroupsParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
ConnectionID: "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
}
options := &connection.GetGroupsParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.SCIM.Connection.GetGroups(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
package com.example;
import com.stytch.java.b2b.models.scimconnection.GetGroupsRequest;
import com.stytch.java.b2b.models.scimconnection.GetGroupsRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
GetGroupsRequest params = new GetGroupsRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
params.setConnectionId("scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc");
GetGroupsRequestOptions options = new GetGroupsRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getSCIM().getConnection().getGroups(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.scimconnection.GetGroupsRequest
import com.stytch.java.b2b.models.scimconnection.GetGroupsRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.scim.connection.getGroups(
GetGroupsRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connectionId = "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
),
GetGroupsRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.scim.connection.getGroups(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->scim->connection->get_groups([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
'connection_id' => 'scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
from stytch import B2BClient
from stytch.b2b.models.scim_connection import GetGroupsRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.scim.connection.get_groups(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id="scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
method_options=GetGroupsRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)
# frozen_string_literal: true
# GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.scim.connection.get_groups(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
method_options: StytchB2B::SCIM::Connection::GetGroupsRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
use stytch::b2b::client::Client;
use stytch::b2b::scim_connection::GetGroupsRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.scim.connection.get_groups(
GetGroupsRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
curl --request GET \
--url https://test.stytch.com/v1/b2b/scim/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/connection/scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"scim_groups": [
{
"group_id": "<string>",
"group_name": "<string>",
"organization_id": "<string>",
"connection_id": "<string>"
}
],
"status_code": 123,
"next_cursor": "<string>"
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Get SCIM Connection Groups
Retrieve a paginated list of all SCIM Groups associated with a given SCIM Connection
// GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.SCIM.Connection.GetGroups(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/scim/connection"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &connection.GetGroupsParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
ConnectionID: "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
}
options := &connection.GetGroupsParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.SCIM.Connection.GetGroups(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
package com.example;
import com.stytch.java.b2b.models.scimconnection.GetGroupsRequest;
import com.stytch.java.b2b.models.scimconnection.GetGroupsRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
GetGroupsRequest params = new GetGroupsRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
params.setConnectionId("scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc");
GetGroupsRequestOptions options = new GetGroupsRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getSCIM().getConnection().getGroups(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.scimconnection.GetGroupsRequest
import com.stytch.java.b2b.models.scimconnection.GetGroupsRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.scim.connection.getGroups(
GetGroupsRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connectionId = "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
),
GetGroupsRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.scim.connection.getGroups(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->scim->connection->get_groups([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
'connection_id' => 'scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
from stytch import B2BClient
from stytch.b2b.models.scim_connection import GetGroupsRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.scim.connection.get_groups(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id="scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
method_options=GetGroupsRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)
# frozen_string_literal: true
# GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.scim.connection.get_groups(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
method_options: StytchB2B::SCIM::Connection::GetGroupsRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
use stytch::b2b::client::Client;
use stytch::b2b::scim_connection::GetGroupsRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.scim.connection.get_groups(
GetGroupsRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
curl --request GET \
--url https://test.stytch.com/v1/b2b/scim/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/connection/scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"scim_groups": [
{
"group_id": "<string>",
"group_name": "<string>",
"organization_id": "<string>",
"connection_id": "<string>"
}
],
"status_code": 123,
"next_cursor": "<string>"
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Authorizations
Headers
Path Parameters
Query Parameters
The cursor field allows you to paginate through your results. Each result array is limited to 1000 results. If your query returns more than 1000 results, you will need to paginate the responses using the cursor. If you receive a response that includes a non-null next_cursor in the results_metadata object, repeat the search call with the next_cursor value set to the cursor field to retrieve the next page of results. Continue to make search calls until the next_cursor in the response is null.
The number of search results to return per page. The default limit is 100. A maximum of 1000 results can be returned by a single search request. If the total size of your result set is greater than one page size, you must paginate the response. See the cursor field.
x >= 0Response
Successful response